package loadtests.examples.loadcoder.bestpractise;

import org.springframework.web.client.RestTemplate;

import com.loadcoder.load.scenario.design.ScenarioLogicTyped;
public class GreetingsLogic extends ScenarioLogicTyped<ThreadInstance> {

	public GreetingsLogic(ThreadInstance threadInstance) {
		super(threadInstance);
	}
	
	void performGreeting() {
		load("greeting", ()->{
			RestTemplate restTemplate = getTypeInstance().getRestTemplate();
			return "";
		})
		.handleResult(resultHandler->{
			if(resultHandler.getResponse() == null) {
				resultHandler.setStatus(false);
			}
		})
		.perform();
	}

}
